Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xri3.impl
Class XRI3Reference

    java.lang.Object
      org.openxri.xri3.impl.XRI3SyntaxComponent
          org.openxri.xri3.impl.XRI3Reference

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable, XRIReference, XRISyntaxComponent

    public class XRI3Reference

extends XRI3SyntaxComponent
implements XRIReference

See Also:
  Serialized Form

Constructor Summary
`XRI3Reference(java.lang.String string)`
`XRI3Reference(XRIReference xriReference, java.lang.String xriPart)`
`XRI3Reference(XRIReference xriReference, XRISyntaxComponent xriPart)`

Method Summary
`XRIAuthority` | `getAuthority()`
`XRIFragment` | `getFragment()`
`Rule` | `getParserObject()`
`XRIPath` | `getPath()`
`XRIQuery` | `getQuery()`
`boolean` | `hasAuthority()`
`boolean` | `hasFragment()`
`boolean` | `hasPath()`
`boolean` | `hasQuery()`
`boolean` | `isValidXRI()`
`java.lang.String` | `toIRINormalForm()`
`XRI` | `toXRI()`
`XRI3` | `toXRI3()`

Methods inherited from class org.openxri.xri3.impl.XRI3SyntaxComponent
`compareTo, equals, hashCode, toString, toURINormalForm`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.openxri.xri3.XRISyntaxComponent
`toURINormalForm`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### XRI3Reference

    public XRI3Reference(java.lang.String string)
                  throws ParserException

Throws:
  `ParserException`

### XRI3Reference

    public XRI3Reference(XRIReference xriReference,
                         XRISyntaxComponent xriPart)
                  throws ParserException

Throws:
  `ParserException`

### XRI3Reference

    public XRI3Reference(XRIReference xriReference,
                         java.lang.String xriPart)
                  throws ParserException

Throws:
  `ParserException`

Method Detail

### getParserObject

    public Rule getParserObject()

  Specified by:
    `getParserObject` in class `XRI3SyntaxComponent`

### hasAuthority

    public boolean hasAuthority()

  Specified by:
    `hasAuthority` in interface `XRIReference`

### hasPath

    public boolean hasPath()

  Specified by:
    `hasPath` in interface `XRIReference`

### hasQuery

    public boolean hasQuery()

  Specified by:
    `hasQuery` in interface `XRIReference`

### hasFragment

    public boolean hasFragment()

  Specified by:
    `hasFragment` in interface `XRIReference`

### getAuthority

    public XRIAuthority getAuthority()

  Specified by:
    `getAuthority` in interface `XRIReference`

### getPath

    public XRIPath getPath()

  Specified by:
    `getPath` in interface `XRIReference`

### getQuery

    public XRIQuery getQuery()

  Specified by:
    `getQuery` in interface `XRIReference`

### getFragment

    public XRIFragment getFragment()

  Specified by:
    `getFragment` in interface `XRIReference`

### toIRINormalForm

    public java.lang.String toIRINormalForm()

  Specified by:
    `toIRINormalForm` in interface `XRISyntaxComponent`
  Overrides:
    `toIRINormalForm` in class `XRI3SyntaxComponent`

### isValidXRI

    public boolean isValidXRI()

  Specified by:
    `isValidXRI` in interface `XRIReference`

### toXRI

    public XRI toXRI()
              throws ParserException

  Specified by:
    `toXRI` in interface `XRIReference`
  Throws:
    `ParserException`

### toXRI3

    public XRI3 toXRI3()
                throws ParserException

  Throws:
    `ParserException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.